package init_serve

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/global"
	"hongze/hongze_yb/routers"
)

// InitRouter 初始化路由
func InitRouter() (r *gin.Engine) {
	//设置
	gin.SetMode(global.CONFIG.Serve.RunMode)
	// 1.创建路由
	r = gin.Default()
	// 2.绑定路由规则，执行的函数
	// gin.Context，封装了request和response
	r.GET("/ping", func(c *gin.Context) {
		c.JSON(200, gin.H{
			"message": "pong",
		})
	})
	routers.InitTest(r)
	//微信相关路由
	routers.InitWechat(r)
	// 活动相关路由
	routers.InitActivity(r)
	return
}
